Page MenuHomePhabricator

"no results" when attempting to add parent task by searching All Open Tasks with exact task title
Closed, ResolvedPublic

Description

I'm trying to mark T148090 as a subtask of T143003. Pasting in the full task title yields no results, as does any of the title substrings I've tried.


See also:
T76732: Exact matches should always win when suggesting/auto-completing
T143863: In "Edit parent tasks" dialog, searching "all open objects" for some text takes a long time

Event Timeline

Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald TranscriptOct 13 2016, 10:01 PM
Capt_Swing renamed this task from "no results" when searching All Open Tasks with exact task title to "no results" when attempting to add parent task by searching All Open Tasks with exact task title.Oct 13 2016, 10:02 PM

I think this is a dupe of T146843 ?

@Paladox is there another way to add a parent task?

@Capt_Swing in the sidebar in the task, there should be a Edit Related Tasks button, then click Edit Parent Tasks button and that should work.

@Paladox that's what I was doing :/

I also tried going to the parent task, clicking "edit subtasks", and searching for the subtask by title. But that didn't show up either.

Eventually, I successfully joined the tasks by going to the parent task, clicking "edit subtasks", filtering by "tasks assigned to me", and then scrolling down the list and finding the T148090.

Oh, did this work for you before?

is there another way to add a parent task?

  1. Go to T148090
  2. Click "Edit Related Tasks > Edit Parent Tasks"
  3. Enter "T143003" in the search field
  4. Get results listed within less than a second (here at least)
  5. Click "Select" for the first result
  6. Click "Save Parent Tasks"

@Paladox the last strategy I tried worked for me!

Yes per @Aklapper I doint think you can search for task only by there task id in the Edit Parent Tasks, you can search in the search bar though.

Yes per @Aklapper I doint think you can search for task only by there task id in the Edit Parent Tasks, you can search in the search bar though.

Sorry but I don't know what that means. (And I think my steps above were pretty clear.)
Anyway, not important I guess; the search problem in this task is a valid one.

Nnemo awarded a token.Oct 23 2016, 8:42 PM
Nnemo added a subscriber: Nnemo.
Nemo_bis updated the task description. (Show Details)Nov 7 2016, 5:49 PM
Aklapper updated the task description. (Show Details)Nov 17 2016, 5:13 PM
mmodell closed this task as Resolved.Dec 19 2016, 10:54 AM
mmodell claimed this task.
mmodell added a subscriber: mmodell.

This actually works now. I am able to find T143003 by searching provide cumulative (and similar search strings)